import "classes/*.pp"

# Create "/tmp/testfile" if it doesn't exist.
class test_class {
    file { "/tmp/testfile":
       ensure => present,
       mode   => 644,
       owner  => root,
       group  => root
    }
}

# tell puppet on which client to run the class
#node walsh {
#    include test_class
#}
node walsh {
    include test_class
    include matrix::cronapt
    include ltsp
    include estacion-de-trabajo
}

node zara  {
    include test_class
}

